Bug 2130657 - Editing an existing contact's email address causes Contacts to display an empty "Unnamed Person" card, other edits made at the same time are lost
Summary: Editing an existing contact's email address causes Contacts to display an emp...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-contacts
Version: 37
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: GNOME SIG Unassigned
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F37FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2022-09-28 19:03 UTC by Adam Williamson
Modified: 2022-10-13 11:44 UTC (History)
8 users (show)

Fixed In Version: gnome-contacts-43.0-2.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-10-13 11:44:46 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME gnome-contacts issues 271 0 None opened After editing a contact, blank "Unnamed Person" card shown 2022-10-06 23:28:03 UTC
GNOME Gitlab GNOME gnome-contacts merge_requests 213 0 None opened pane: Select the new individual after saving changes 2022-10-06 23:28:06 UTC

Description Adam Williamson 2022-09-28 19:03:00 UTC
This is a downstream report of https://gitlab.gnome.org/GNOME/gnome-contacts/-/issues/271 , filed for blocker tracking purposes.

If you edit an existing contact in Contacts and change their email address, when you hit Done, Contacts shows a blank "Unnamed Person" card instead of the edited card for the contact as you'd expect. If you click back on the contact you edited in the list, their card is displayed. The email address change is applied, but any other edits you made at the same time are lost (e.g. if you change the email address and phone number and hit Done, you see Unnamed Person; if you then click back on the contact in the list, you see their card with the new email address, but still the old phone number).

Proposing as a Final blocker as a violation of the "basic functionality" requirement that's applied to all apps included in Workstation. Editing a contact seems like pretty basic functionality, and it clearly does not work right.

Comment 1 Ben Cotton 2022-09-29 21:49:13 UTC
Upstream MR contains a candidate fix: https://gitlab.gnome.org/GNOME/gnome-contacts/-/merge_requests/213

Comment 2 Adam Williamson 2022-09-30 00:26:56 UTC
The MR solves the "switches to Unnamed Person card after edit" part of the problem, but not the "if you edit email address and phone number together, only the email address change takes effect" part.

Comment 3 Adam Williamson 2022-09-30 16:40:21 UTC
+4 in https://pagure.io/fedora-qa/blocker-review/issue/927 , marking accepted. Note I believe most folks consider the "other edits made at the same time are lost" part of the bug as the really important part, that's the part the blocker decision is based on, so that part needs fixing for the blocker to be addressed.

Comment 4 Niels De Graef 2022-10-09 21:10:36 UTC
Yeah, the upstream issue should probably have been split up in 2 different issues. In any case, I filed https://gitlab.gnome.org/GNOME/gnome-contacts/-/merge_requests/214 which hopefully fixes the other part of the issue too.

Comment 5 Adam Williamson 2022-10-10 09:58:17 UTC
Unfortunately #214 doesn't seem to fix the other problem :(

Comment 6 Adam Williamson 2022-10-10 16:48:00 UTC
The remaining issue turns out to be specifically: if you make multiple edits including one to an email address, the other edits get thrown away. Multiple edits *not* including an email address change work OK.

Comment 7 Adam Williamson 2022-10-11 08:50:07 UTC
So MR #214 has been updated and now does fix this, I will backport the fixes once our s390x builder outage is resolved. Marking POST for now.

Comment 8 Fedora Update System 2022-10-11 15:04:38 UTC
FEDORA-2022-b6a2d7db07 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-b6a2d7db07

Comment 9 Fedora Update System 2022-10-11 15:53:22 UTC
FEDORA-2022-b6a2d7db07 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-b6a2d7db07`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-b6a2d7db07

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 lnie 2022-10-12 06:42:53 UTC
With the update,multiple edits including an email address change work well.

Comment 11 Fedora Update System 2022-10-13 11:44:46 UTC
FEDORA-2022-b6a2d7db07 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.